This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 20135 - Patch to fix warnings in gcc 2.96
Patch to fix warnings in gcc 2.96
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
7.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-01 01:50 EST by Stan Bubrouski
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-01 01:52:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to fix compiler warnings (1.46 KB, patch)
2000-11-01 01:52 EST, Stan Bubrouski
no flags Details | Diff

  None (edit)
Description Stan Bubrouski 2000-11-01 01:50:57 EST
Attached is a patch to fix the following warnings compiling under gcc 2.96:

xmms-1.2.3/libxmms/formatter.c: string.h needed for strlen and strcpy
functions
xmms-1.2.3/Input/mpg123/id3_frame_text.c: string.h needed for strlen and
memcpy functions
xmms-1.2.3/libxmms/xmmsctrl.c: stdlib.h needed for abs function
xmms-1.2.3/Visualization/blur_scope/blur_scope.c: string.h needed for
memset function

There is also this:

/bin/sh ../../libtool --mode=link gcc  -O2 -march=i386 -mcpu=i686 -Wall
-fomit-frame-pointer -funroll-all-loops -finline-functions -ffast-math
-m486  -o libmikmod.la -rpath /usr/lib/xmms/Input -module -avoid-version
drv_xmms.lo plugin.lo -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic
-lgmodule -lgthread -lglib -lpthread -ldl -lXi -lXext -lX11 -lm -lpthread
-L/usr/lib -lmikmod -lpthread -ldl -L%prefix/lib -L/usr/lib -lm 
../../libtool: cd: %prefix/lib: No such file or directory
libtool: link: warning: cannot determine absolute directory name of
`%prefix/lib'
libtool: link: passing it literally to the linker, although it might fail

notice %prefix is not expanded, this is a problem in mikmod in the
/usr/bin/libmikmod-config
script which is of course part of the mikmod package.  It needs to be
${prefix} rather than %prefix in the script to be interpreted correctly.  I
think the effect of this on xmms compilation is limited although I'm really
not sure.  Any idea on that one?  I submitted it as a bug in mikmod FYI.

Besides some other compiler-related warnings (in unrelated headers) this
patch and a fixed mikmod should make for a clean xmms rebuild.

-Stan Bubrouski
Comment 1 Stan Bubrouski 2000-11-01 01:52:22 EST
Created attachment 4855 [details]
Patch to fix compiler warnings
Comment 2 Bill Nottingham 2000-11-13 15:09:36 EST
Should be added in xmms-1.2.3-4. Thanks!

Note You need to log in before you can comment on or make changes to this bug.